Response containing the chronological list of timeline cells for a work item.
Expand All
Field
Type
Description
data
[object]
The TimelineResponsedata.
attributes [required]
object
Attributes of a timeline cell, representing a single event in a work item's chronological activity log (for example, a comment, status change, or assignment update).
author
<oneOf>
The author of the timeline cell. Currently only user authors are supported.
<type=USER>
object
A user who authored a timeline cell.
content
object
Profile information for the user who authored the timeline cell.
email
string
The email address of the user.
handle
string
The Datadog handle of the user.
id
string
The UUID of the user.
name
string
The display name of the user.
type
enum
The type of timeline cell author. Currently only USER is supported.
Allowed enum values: USER
cell_content
<oneOf>
The content payload of a timeline cell, varying by cell type.
Object 1
object
The content of a comment timeline cell.
message
string
The text content of the comment. Supports Markdown formatting.
created_at
date-time
Timestamp of when the cell was created
deleted_at
date-time
Timestamp of when the cell was deleted
modified_at
date-time
Timestamp of when the cell was last modified
type
enum
The type of content in the timeline cell. Currently only COMMENT is supported in this endpoint.
Allowed enum values: COMMENT
id [required]
string
Timeline cell's identifier
type [required]
enum
JSON:API resource type for timeline cells.
Allowed enum values: timeline_cell
# Path parameters exportcase_id="f98a5a5b-e0ff-45d4-b2f5-afe6e74de504" # Use a Personal Access Token or Service Access Token exportDD_BEARER_TOKEN="<PERSONAL_ACCESS_TOKEN OR SERVICE_ACCESS_TOKEN>"
"""
Get case timeline returns "OK" response
"""fromosimportenvironfromdatadog_api_clientimportApiClient,Configurationfromdatadog_api_client.v2.api.case_management_apiimportCaseManagementApiconfiguration=Configuration()configuration.access_token=environ["DD_BEARER_TOKEN"]withApiClient(configuration)asapi_client:api_instance=CaseManagementApi(api_client)response=api_instance.list_case_timeline(case_id="case_id",)print(response)
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com"DD_BEARER_TOKEN="<PERSONAL_ACCESS_TOKEN OR SERVICE_ACCESS_TOKEN>"python3"example.py"
# Get case timeline returns "OK" responserequire"datadog_api_client"DatadogAPIClient.configuredo|config|config.access_token=ENV["DD_BEARER_TOKEN"]endapi_instance=DatadogAPIClient::V2::CaseManagementAPI.newpapi_instance.list_case_timeline("case_id")
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com"DD_BEARER_TOKEN="<PERSONAL_ACCESS_TOKEN OR SERVICE_ACCESS_TOKEN>"rb"example.rb"
// Get case timeline returns "OK" responsepackagemainimport("context""encoding/json""fmt""os""github.com/DataDog/datadog-api-client-go/v2/api/datadog""github.com/DataDog/datadog-api-client-go/v2/api/datadogV2")funcmain(){ctx:=datadog.NewDefaultContext(context.Background())ctx=context.WithValue(ctx,datadog.ContextAccessToken,os.Getenv("DD_BEARER_TOKEN"))configuration:=datadog.NewConfiguration()apiClient:=datadog.NewAPIClient(configuration)api:=datadogV2.NewCaseManagementApi(apiClient)resp,r,err:=api.ListCaseTimeline(ctx,"case_id",*datadogV2.NewListCaseTimelineOptionalParameters())iferr!=nil{fmt.Fprintf(os.Stderr,"Error when calling `CaseManagementApi.ListCaseTimeline`: %v\n",err)fmt.Fprintf(os.Stderr,"Full HTTP response: %v\n",r)}responseContent,_:=json.MarshalIndent(resp,""," ")fmt.Fprintf(os.Stdout,"Response from `CaseManagementApi.ListCaseTimeline`:\n%s\n",responseContent)}
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com"DD_BEARER_TOKEN="<PERSONAL_ACCESS_TOKEN OR SERVICE_ACCESS_TOKEN>"go run"main.go"
// Get case timeline returns "OK" responseimportcom.datadog.api.client.ApiClient;importcom.datadog.api.client.ApiException;importcom.datadog.api.client.v2.api.CaseManagementApi;importcom.datadog.api.client.v2.model.TimelineResponse;publicclassExample{publicstaticvoidmain(String[]args){ApiClientdefaultClient=ApiClient.getDefaultApiClient();defaultClient.setAccessToken(System.getenv("DD_BEARER_TOKEN"));CaseManagementApiapiInstance=newCaseManagementApi(defaultClient);try{TimelineResponseresult=apiInstance.listCaseTimeline("f98a5a5b-e0ff-45d4-b2f5-afe6e74de504");System.out.println(result);}catch(ApiExceptione){System.err.println("Exception when calling CaseManagementApi#listCaseTimeline");System.err.println("Status code: "+e.getCode());System.err.println("Reason: "+e.getResponseBody());System.err.println("Response headers: "+e.getResponseHeaders());e.printStackTrace();}}}
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com"DD_BEARER_TOKEN="<PERSONAL_ACCESS_TOKEN OR SERVICE_ACCESS_TOKEN>"java"Example.java"
// Get case timeline returns "OK" response
usedatadog_api_client::datadog;usedatadog_api_client::datadogV2::api_case_management::CaseManagementAPI;usedatadog_api_client::datadogV2::api_case_management::ListCaseTimelineOptionalParams;#[tokio::main]asyncfnmain(){letconfiguration=datadog::Configuration::new();letapi=CaseManagementAPI::with_config(configuration);letresp=api.list_case_timeline("case_id".to_string(),ListCaseTimelineOptionalParams::default(),).await;ifletOk(value)=resp{println!("{:#?}",value);}else{println!("{:#?}",resp.unwrap_err());}}
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com"DD_API_KEY="<DD_API_KEY>"DD_APP_KEY="<DD_APP_KEY>"cargo run
/**
* Get case timeline returns "OK" response
*/import{client,v2}from"@datadog/datadog-api-client";constconfiguration=client.createConfiguration({authMethods:{AuthZ:{accessToken: process.env.DD_BEARER_TOKENasstring,},},});constapiInstance=newv2.CaseManagementApi(configuration);constparams: v2.CaseManagementApiListCaseTimelineRequest={caseId:"case_id",};apiInstance.listCaseTimeline(params).then((data: v2.TimelineResponse)=>{console.log("API called successfully. Returned data: "+JSON.stringify(data));}).catch((error: any)=>console.error(error));
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com"DD_BEARER_TOKEN="<PERSONAL_ACCESS_TOKEN OR SERVICE_ACCESS_TOKEN>"tsc"example.ts"
Request a personalized demo
Get Started with Datadog
Ask AI
AI-generated responses may be inaccurate. Verify important info.